# Interface RcsbViewInterface<T, U>

#### Type Parameters

- #### T

- #### U

#### Hierarchy

- RcsbViewInterface

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:19

#####
Index

### Properties

additionalConfig?
buildPfvOnMount?
callbackManagerFactory
pfvManagerFactory
pfvParams
rcsbId
rcsbViewBehaviour?
useOperatorsFlag?

### Methods

additionalContent?

## Properties

### `Optional` additionalConfig

additionalConfig?: RcsbFvAdditionalConfig & {
operatorChangeCallback?: ((operatorInfo) => void);
}

#### Type declaration

- ##### `Optional` operatorChangeCallback?: ((operatorInfo) => void)

  - - (operatorInfo): void

    - #### Parameters

      - ##### operatorInfo: OperatorInfo

      #### Returns void

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:21

### `Optional` buildPfvOnMount

buildPfvOnMount?: boolean

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:27

### callbackManagerFactory

callbackManagerFactory: CallbackManagerFactoryInterface<U>

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:25

### pfvManagerFactory

pfvManagerFactory: PfvManagerFactoryInterface<T, U>

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:24

### pfvParams

pfvParams: T

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:23

### rcsbId

rcsbId: string

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:20

### `Optional` rcsbViewBehaviour

rcsbViewBehaviour?: RcsbViewBehaviourInterface

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:28

### `Optional` useOperatorsFlag

useOperatorsFlag?: boolean

- Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:22

## Methods

### `Optional` additionalContent

- additionalContent(props): Element

- #### Parameters

  - ##### props: RcsbViewInterface<T, U> & AbstractViewInterface

  #### Returns Element

  - Defined in RcsbFvSequence/SequenceViews/RcsbView/RcsbView.tsx:26

Generated using TypeDoc